Bug 191158 - http download of files larger 4gb fails
http download of files larger 4gb fails
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
massRequestForReproduction
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-09 06:47 EDT by Winfrid Tschiedel
Modified: 2008-05-21 02:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-20 11:49:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Winfrid Tschiedel 2006-05-09 06:47:20 EDT
Description of problem:

If you try to download debian-testing-amd64-binary-1.iso from
http://cdimage.debian.org/cdimage/etch_di_beta2/amd64/iso-dvd/
only 397041664 bytes are transferred, the total size is 4892998960 bytes.
( Note 397041664 equals to mod ( 4892998960,4G ) ).


Version-Release number of selected component (if applicable):
firefox-1.0.8-1.4.1


How reproducible:
Always - note the same error is also in firefox 1.5.0.3,
MS IE 6, Konqueror.


Steps to Reproduce:
1. goto http://cdimage.debian.org/cdimage/etch_di_beta2/amd64/iso-dvd/
2. klick debian-testing-amd64-binary-1.iso 
3. Save Link as ....
  
Actual results:

Only modulo 4G bytes are downloaded


Expected results:

Download of the complete file


Additional info:

Linux line command ftp works
Comment 1 Matěj Cepl 2008-02-08 15:41:49 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 2 Winfrid Tschiedel 2008-02-11 03:04:59 EST
Yes it is still a problem -

but this problem maybe also apache related. 
I do not know if there is a way to find out the real filesize and then
decide based on the environment if the download will be successful.

Please check also other tools ( wget, curl, ... ) which are used for http-
download.
Comment 3 Martin Stransky 2008-05-13 11:04:55 EDT
Taking the bug...
Comment 4 Martin Stransky 2008-05-20 11:49:05 EDT
Seems to be fixed in the upcoming firefox 3 package. It's going to be released
in RHEL-4.7. Closing as NEXTRELEASE.
Comment 5 Winfrid Tschiedel 2008-05-21 02:38:38 EDT
Just for your information :
firefox 2.0 fixes the problem -
but not in any case firefox caused the problem,
it might be also apache or
if you are behind a proxy your proxyserver might be the problem.
Comment 6 Martin Stransky 2008-05-21 02:44:52 EDT
Aha, thanks for the info, I didn't investigate it so much. If you still have the
problem after rhel-4.7 release just open the bug-report...

Note You need to log in before you can comment on or make changes to this bug.